Avere vFXT kümesini takma

İstemci makineleri vFXT kümenize bağlamak için bu adımları izleyin.

  1. küme düğümleriniz arasında istemci trafiğinin yükünü dengelemeye karar verin. Ayrıntılar için aşağıdaki Balance istemci yüklemesini okuyun.
  2. Bağlanacak IP adresini ve birleşim yolunu belirleyin.
  3. Uygun bağımsız değişkenlerle bağlama komutunu çalıştırın.

İstemci yükünü dengeleme

İstemci isteklerini kümedeki tüm düğümler arasında dengelemeye yardımcı olmak için istemcileri istemciye yönelik IP adreslerinin tam aralığına bağlamanız gerekir. Bu görevi otomatikleştirmenin birkaç basit yolu vardır.

İpucu

Diğer yük dengeleme yöntemleri büyük veya karmaşık sistemler için uygun olabilir; yardım için bir destek bileti açın .)

Otomatik sunucu tarafı yük dengeleme için bir DNS sunucusu kullanmayı tercih ediyorsanız, Azure'da kendi DNS sunucunuzu ayarlamanız ve yönetmeniz gerekir. Bu durumda vFXT kümesi için hepsini bir kez deneme DNS'sini şu belgeye göre yapılandırabilirsiniz: Avere kümesi DNS yapılandırması.

Örnek dengeli istemci bağlama betiği

Bu kod örneği, istemcileri vFXT kümesinin tüm kullanılabilir IP adreslerine dağıtmak için rastgele bir öğe olarak istemci IP adreslerini kullanır.

function mount_round_robin() {
    # to ensure the nodes are spread out somewhat evenly the default
    # mount point is based on this node's IP octet4 % vFXT node count.
    declare -a AVEREVFXT_NODES="($(echo ${NFS_IP_CSV} | sed "s/,/ /g"))"
    OCTET4=$((`hostname -i | sed -e 's/^.*\.\([0-9]*\)/\1/'`))
    DEFAULT_MOUNT_INDEX=$((${OCTET4} % ${#AVEREVFXT_NODES[@]}))
    ROUND_ROBIN_IP=${AVEREVFXT_NODES[${DEFAULT_MOUNT_INDEX}]}

    DEFAULT_MOUNT_POINT="${BASE_DIR}/default"

    # no need to write again if it is already there
    if ! grep --quiet "${DEFAULT_MOUNT_POINT}" /etc/fstab; then
        echo "${ROUND_ROBIN_IP}:${NFS_PATH}    ${DEFAULT_MOUNT_POINT}    nfs hard,proto=tcp,mountproto=tcp,retry=30 0 0" >> /etc/fstab
        mkdir -p "${DEFAULT_MOUNT_POINT}"
        chown nfsnobody:nfsnobody "${DEFAULT_MOUNT_POINT}"
    fi
    if ! grep -qs "${DEFAULT_MOUNT_POINT} " /proc/mounts; then
        retrycmd_if_failure 12 20 mount "${DEFAULT_MOUNT_POINT}" || exit 1
    fi
}

Yukarıdaki işlev, Avere vFXT örnekleri sitesinde bulunan Batch örneğinin bir parçasıdır.

Bağlama komutunu oluşturma

Not

Avere vFXT kümenizi oluştururken yeni bir Blob kapsayıcısı oluşturmadıysanız, istemcileri bağlamayı denemeden önce depolamayı yapılandırma bölümünde açıklandığı gibi depolama sistemleri ekleyin.

İstemcinizden, mount komutu vFXT kümesindeki sanal sunucuyu (vserver) yerel dosya sistemindeki bir yola eşler. Biçim: mount <vFXT path> <local path> {options}

Bağlama komutunun üç öğesi vardır:

Birleşim ve IP

vserver yolu, IP adresinin yanı sıra ad alanı birleşim yolunun birleşimidir. Ad alanı birleşimi, depolama sistemi eklendiğinde tanımlanan bir sanal yoldur.

Kümeniz Blob depolama ile oluşturulduysa bu kapsayıcının ad alanı yolu /msazure

Örnek: mount 10.0.0.12:/msazure /mnt/vfxt

Kümeyi oluşturduktan sonra depolama alanı eklediyseniz, ad alanı birleşim yolu, birleşim oluştururken Ad alanı yolunda ayarladığınız değerdir. Örneğin, ad alanı yolunuz olarak kullandıysanız /avere/files istemcileriniz yerel bağlama noktalarına IP_address:/avere/files bağlar.

Ad alanı yolu alanında /avere/files ile

IP adresi, vserver için tanımlanan istemciye yönelik IP adreslerinden biridir. İstemciye yönelik IP'lerin aralığını Avere Denetim Masası iki yerde bulabilirsiniz:

  • VServers tablosu (Pano sekmesi) -

    Avere Denetim Masası pano sekmesi; grafiğin altındaki veri tablosunda VServer sekmesi seçili ve IP adresi bölümü daire içine alınmış

  • İstemciye Yönelik Ağ ayarları sayfası -

    Belirli bir vserver için tablonun Adres Aralığı bölümü çevresinde bir daire bulunan VServer > İstemcisine Yönelik Ağ yapılandırma sayfası ayarları >

Yollara ek olarak, her istemciyi bağlarken aşağıda açıklanan Bağlama komutu bağımsız değişkenlerini de ekleyin.

Komut bağımsız değişkenlerini bağlama

Sorunsuz bir istemci bağlaması sağlamak için bağlama komutunuzda şu ayarları ve bağımsız değişkenleri geçirin:

mount -o hard,proto=tcp,mountproto=tcp,retry=30 ${VSERVER_IP_ADDRESS}:/${NAMESPACE_PATH} ${LOCAL_FILESYSTEM_MOUNT_POINT}

Gerekli ayarlar Açıklama
hard vFXT kümesine yönelik geçici bağlamalar, uygulama hataları ve olası veri kaybıyla ilişkilidir.
proto=netid Bu seçenek NFS ağ hatalarının uygun şekilde işlenmesini destekler.
mountproto=netid Bu seçenek bağlama işlemleri için ağ hatalarının uygun şekilde işlenmesini destekler.
retry=n Geçici bağlama hatalarını önlemek için ayarlayın retry=30 . (Ön plan bağlamalarında farklı bir değer önerilir.)

Sonraki adımlar

İstemcileriniz bağlandıktan sonra, bunları kullanarak kümenizdeki yeni bir Blob depolama kapsayıcısına veri kopyalayabilirsiniz. Yeni depolama alanını doldurmanız gerekmiyorsa ek kurulum görevleri hakkında bilgi edinmek için diğer bağlantıları okuyun: